package com.liang.service;

import com.liang.entity.StaBudgetapproval;
import com.liang.entity.StaPrintingFee;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 会议费(StaPrintingFee)表服务接口
 */
public interface StaPrintingFeeService {
    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    StaPrintingFee queryById(Integer id);

    /**
     * 分页查询
     *
     * @param staPrintingFee 筛选条件
     * @param pageRequest    分页对象
     * @return 查询结果
     */
    Page<StaPrintingFee> queryByPage(StaPrintingFee staPrintingFee, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param staPrintingFee 实例对象
     * @return 实例对象
     */
    int insert(StaPrintingFee staPrintingFee);

    /**
     * 修改数据
     *
     * @param staPrintingFee 实例对象
     * @return 实例对象
     */
    int update(StaPrintingFee staPrintingFee);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 通过主表删除数据
     *
     * @param zb
     * @return
     */
    int deleteByZb(Integer zb);

    /**
     * 批量删除打印费
     *
     * @param zbList
     * @return
     */
    int batchDeleteByZb(List<Integer> zbList);

    /**
     * 批量插入打印费
     *
     * @param expenseList
     * @return
     */
    int insertBatch(List<StaPrintingFee> expenseList);

    /**
     * 获取打印费列表
     *
     * @return
     */
    List<StaPrintingFee> getDyfList(Integer zb);

    //获取打印费列表
    List<StaPrintingFee> queryBySqkyfh(String sqkyfh);

    /**
     * 项目报表(打印费)查询
     *
     * @param mc
     * @param qsrq 创建起始日期
     * @param jzrq 创建结束日期
     * @return
     */
    List<HashMap<String, Object>> searchPrintingCost(Map map);
}
